local welcome_messages = {
    "¡Bienvenido, %s! ¡Diviértete!",
    "¡se ha unido, %s! ¡Espero que disfrutes el juego!",
    "¡se ha unido, %s! ¡Bienvenido a la aventura!",
    "¡Bienvenido, %s! ¡Prepárate para explorar!",
}


local function get_random_welcome_message(name)
    local message = welcome_messages[math.random(#welcome_messages)]
    return string.format(message, name)
end

minetest.register_on_joinplayer(function(player)
    local name = player:get_player_name()
    local welcome_message = get_random_welcome_message(name)
    
    minetest.chat_send_all(minetest.colorize("#00FF00", welcome_message))
end)

minetest.register_on_leaveplayer(function(player)
    local name = player:get_player_name()
    local leave_message = minetest.colorize("#FF0000", name .. " se ha retirado del juego.")
    
    minetest.chat_send_all(leave_message)
end)